Bug 607261 - Read from /proc/xen/xenbus does not honor O_NONBLOCK
Summary: Read from /proc/xen/xenbus does not honor O_NONBLOCK
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 4.9
Hardware: All Linux
low
low
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On: 470801
Blocks: 458302
TreeView+ depends on / blocked
 
Reported: 2010-06-23 16:26 UTC by Paolo Bonzini
Modified: 2011-02-16 16:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 470801
Environment:
Last Closed: 2011-02-16 16:06:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Comment 1 Paolo Bonzini 2010-06-24 16:07:24 UTC
reproducer:

#include <stdlib.h>
#include <errno.h>
#include <fcntl.h>
#include <unistd.h>
int main()
{
  char buf[256];
  int fd = open ("/proc/xen/xenbus", O_RDONLY | O_NONBLOCK); 
  if (fd == -1) {
    perror ("/proc/xen/xenbus");
    exit (1);
  }
  alarm (5);
  while (read (fd, buf, 256) == -1 && errno != EAGAIN)
    ;
  puts ("works");
  exit (0);
}

Comment 3 RHEL Product and Program Management 2010-10-12 17:50:57 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Vivek Goyal 2010-10-13 16:13:39 UTC
Committed in 89.42.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 7 Yufang Zhang 2010-12-16 06:51:21 UTC
QA verified this bug with kernel-xenU-2.6.9-93.EL:

Compile the reproducer in the guest and execute it. output is 'works'.

Comment 8 errata-xmlrpc 2011-02-16 16:06:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html


Note You need to log in before you can comment on or make changes to this bug.